Configuration from current directory
[gnucomo.git] / test / read_messages
diff --git a/test/read_messages b/test/read_messages
new file mode 100755 (executable)
index 0000000..36c861e
--- /dev/null
@@ -0,0 +1,26 @@
+#!/bin/sh
+
+#
+#  Create an object 'kithira.andromeda.nl' in the database and
+#  parse a piece of a syslog file.
+#  This tests normal operation in which gcm_input reads a syslog file
+#  directly.
+
+
+createdb gnucomo_test
+
+if psql gnucomo_test -q <../src/database/create.sql >/dev/null
+then
+   psql gnucomo_test -q -c "insert into object (objectname) values ('example1.gnucomo.test')"
+   ../src/gcm_input/gcm_input -c gnucomo_test -h example1.gnucomo.test -d 'sep 5 2002 20:30:45' <messages
+   psql gnucomo_test -q -t -c "select * from log" -o log.tbl
+   diff read_messages.log.expect log.tbl
+   result=$?
+   psql gnucomo_test -f ../src/database/destroy.sql -q
+   dropdb gnucomo_test
+   exit $result
+else
+   echo Can not create test database
+   dropdb gnucomo_test
+   exit 1
+fi